%define realname        castor
%define version         0.9.3.13
%define release         1jpp
%define section         free

Summary:        An open source data binding framework for Java
Name:           old%{realname}
Version:        %{version}
Release:        %{release}
Epoch:          0
Group:          Development/Libraries/Java
License:        Exolab Software License
URL:            http://castor.exolab.org/
Source0:        oldcastor-0.9.3.13-src.tar.gz
#cvs -d :pserver:anoncvs@castor.exolab.org:/cvs/castor login 
##cvs -d :pserver:anoncvs@castor.exolab.org:/cvs/castor  export -r tag_0_9_3_13 castor-2002/castor

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:         JPackage Project
Distribution:   JPackage
BuildArch:      noarch
Requires:       adaptx
Requires:	java
Requires:       jta
Requires:       ldapjdk
Requires:       oro
Requires:       regexp
Requires:       xerces-j2
BuildRequires:  adaptx
BuildRequires:  ant
BuildRequires:  java-devel
BuildRequires:  jpackage-utils >= 0:1.5.39
BuildRequires:  jta
BuildRequires:  ldapjdk
BuildRequires:  oro
BuildRequires:  regexp
BuildRequires:  xerces-j2

%description
Castor is an open source data binding framework for Java. It's basically
the shortest path between Java objects, XML documents and SQL tables.
Castor provides Java to XML binding, Java to SQL persistence, and then
some more.

%package xml
Group:          Development/Libraries/Java
Summary:        XML support for %{name}.
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description xml
XML support for Castor.

%package javadoc
Group:          Development/Documentation
Summary:        Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n %{name}
find . -name "*.jar" -exec rm -f {} \;
find . -name "*.java" -exec perl -p -i -e 's|assert\(|assertTrue\(|g;' {} \;
find . -name "*.java" -exec perl -p -i -e 's|_test.name\(\)|_test.getName\(\)|g;' {} \;

#%patch0 -b .sav

%build
[ -z "$JAVA_HOME" ] && export JAVA_HOME=%{_jvmdir}/java
export CLASSPATH=%(build-classpath adaptx jta junit ldapjdk oro regexp xerces-j2)
ant -buildfile src/build.xml jar
ant -buildfile src/build.xml javadoc

%install
%{__rm} -rf %{buildroot}

# jar
%{__install} -d -m 755 %{buildroot}%{_javadir}
%{__install} -m 644 dist/%{realname}-0.9.3.9.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
%{__install} -m 644 dist/%{realname}-0.9.3.9-xml.jar %{buildroot}%{_javadir}/%{name}-xml-%{version}.jar
pushd %{buildroot}%{_javadir}
   for jar in *-%{version}.jar; do 
      ln -sf ${jar} $(echo $jar| sed  -e "s|-%{version}||g")
   done
popd

# javadoc
%{__install} -d -m 755 %{buildroot}%{_javadocdir}/%{name}-%{version}
%{__cp} -pr build/doc/javadoc/* %{buildroot}%{_javadocdir}/%{name}-%{version}

# like magic
%jpackage_script org.exolab.castor.builder.SourceGenerator %{nil} %{nil} xerces-j2:%{name} %{name}

%clean
%{__rm} -rf %{buildroot}

%post javadoc
%{__rm} -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc src/etc/{CHANGELOG,LICENSE,README}
%attr(0755,root,root) %{_bindir}/%{name}
%{_javadir}/%{name}-%{version}.jar
%{_javadir}/%{name}.jar

%files xml
%defattr(0644,root,root,0755)
%{_javadir}/%{name}-xml-%{version}.jar
%{_javadir}/%{name}-xml.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}

%changelog
* Fri Mar 11 2005 Ralph Apel <r.apel at r-apel.de> 0:0.9.3.13-1jpp
- Revert to old version

